List SCIM users
GET
/scim/v2/Users
Query Parameters
filterstring
userName eq "..." or externalId eq "...". Any other filter is not applied, and the unfiltered list is returned.
Example:
userName eq "jane@example.com"startIndexinteger
The 1-based index of the first result.
countinteger
curl -X GET 'https://api.truto.one/scim/v2/Users' \
-H 'Authorization: Bearer <your_api_token>' \
-H 'Content-Type: application/json'const response = await fetch('https://api.truto.one/scim/v2/Users', {
method: 'GET',
headers: {
'Authorization': 'Bearer <your_api_token>',
'Content-Type': 'application/json',
},
});
const data = await response.json();
console.log(data);import requests
url = "https://api.truto.one/scim/v2/Users"
headers = {
"Authorization": "Bearer <your_api_token>",
"Content-Type": "application/json",
}
params = {
}
response = requests.get(url, headers=headers, params=params)
print(response.json())